## Index

### Classes

- Lexer

### Functions

- getTokenDesc
- getTokenKindDesc

## Functions

### getTokenDesc

- getTokenDesc(token: Token): string

- - Defined in src/lexer.ts:741

  A helper function to describe a token as a string for debugging

  #### Parameters

  - ##### token: Token

  #### Returns string

### getTokenKindDesc

- getTokenKindDesc(kind: number): string

- - Defined in src/lexer.ts:753

  A helper function to describe a token kind as a string for debugging

  #### Parameters

  - ##### kind: number

  #### Returns string

Generated using TypeDoc